package com.gic.haoban.manage.service.pojo.bo.chat;

import java.io.Serializable ;

/**
 * 
 * @ClassName: TabHaobanGroupChat
 * @Description: TODO
 * @Author 徐高华
 * @Date 2022年11月25日 13:35:28
 * @Modify
 * @CopyRight 
 */
public class GroupChatBO implements Serializable{

	private static final long serialVersionUID = 13124020287100L;
	
	/**主键*/
	private Long groupChatId;
	private String wxEnterpriseId;
	/**群名称*/
	private String name;
	/**群主*/
	private String staffId;
	/**群id(企微)*/
	private String wxChatId;
	/**群创建时间*/
	private java.util.Date chatAddTime;
	/**群解散时间*/
	private java.util.Date chatDissolveTime;
	/**群公告*/
	private String chatNotice;
	/**群状态*/
	private Integer chatStatus;
	private java.util.Date createTime;
	private java.util.Date updateTime;
	/**是否删除1是0否*/
	private Integer deleteFlag;
	/**群成员数*/
	private Integer totalCount;
	/**群客户数*/
	private Integer totalMemberCount;
	/**新增总客户数*/
	private Integer addMemberCount;
	/**新增总成员数*/
	private Integer addCount;
	/**流失总成员数*/
	private Integer quitCount;
	/**流失总客户数*/
	private Integer quitMemberCount;
	/**gic企业ID*/
	private String enterpriseId;
	/**gic侧状态1可用,2不可用*/
	private Integer statusFlag;
	
	public void setGroupChatId(Long groupChatId){
		this.groupChatId = groupChatId;
	}
	
	public Long getGroupChatId(){
		return groupChatId;
	}
	public void setWxEnterpriseId(String wxEnterpriseId){
		this.wxEnterpriseId = wxEnterpriseId;
	}
	
	public String getWxEnterpriseId(){
		return wxEnterpriseId;
	}
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return name;
	}
	public void setStaffId(String staffId){
		this.staffId = staffId;
	}
	
	public String getStaffId(){
		return staffId;
	}
	public void setWxChatId(String wxChatId){
		this.wxChatId = wxChatId;
	}
	
	public String getWxChatId(){
		return wxChatId;
	}
	public void setChatAddTime(java.util.Date chatAddTime){
		this.chatAddTime = chatAddTime;
	}
	
	public java.util.Date getChatAddTime(){
		return chatAddTime;
	}
	public void setChatDissolveTime(java.util.Date chatDissolveTime){
		this.chatDissolveTime = chatDissolveTime;
	}
	
	public java.util.Date getChatDissolveTime(){
		return chatDissolveTime;
	}
	public void setChatNotice(String chatNotice){
		this.chatNotice = chatNotice;
	}
	
	public String getChatNotice(){
		return chatNotice;
	}
	public void setChatStatus(Integer chatStatus){
		this.chatStatus = chatStatus;
	}
	
	public Integer getChatStatus(){
		return chatStatus;
	}
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return createTime;
	}
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return updateTime;
	}
	public void setDeleteFlag(Integer deleteFlag){
		this.deleteFlag = deleteFlag;
	}
	
	public Integer getDeleteFlag(){
		return deleteFlag;
	}
	public void setTotalCount(Integer totalCount){
		this.totalCount = totalCount;
	}
	
	public Integer getTotalCount(){
		return totalCount;
	}
	public void setTotalMemberCount(Integer totalMemberCount){
		this.totalMemberCount = totalMemberCount;
	}
	
	public Integer getTotalMemberCount(){
		return totalMemberCount;
	}
	public void setAddMemberCount(Integer addMemberCount){
		this.addMemberCount = addMemberCount;
	}
	
	public Integer getAddMemberCount(){
		return addMemberCount;
	}
	public void setAddCount(Integer addCount){
		this.addCount = addCount;
	}
	
	public Integer getAddCount(){
		return addCount;
	}
	public void setQuitCount(Integer quitCount){
		this.quitCount = quitCount;
	}
	
	public Integer getQuitCount(){
		return quitCount;
	}
	public void setQuitMemberCount(Integer quitMemberCount){
		this.quitMemberCount = quitMemberCount;
	}
	
	public Integer getQuitMemberCount(){
		return quitMemberCount;
	}
	public void setEnterpriseId(String enterpriseId){
		this.enterpriseId = enterpriseId;
	}
	
	public String getEnterpriseId(){
		return enterpriseId;
	}
	public void setStatusFlag(Integer statusFlag){
		this.statusFlag = statusFlag;
	}
	
	public Integer getStatusFlag(){
		return statusFlag;
	}
}